hddb_int.h File Reference

Go to the source code of this file.

## Macros

#define | DATA_VALUE(a)
#define | DATA_FLAG(a)
#define | MAKE_DATA(a, b)
#define | FLAG_ID 0
#define | FLAG_RANGE 1
#define | FLAG_MASK 2
#define | FLAG_STRING 3
#define | FLAG_REGEXP 4
#define | FLAG_CONT 8 /* bit mask, _must_ be bit 31 */

## Typedefs

typedef enum hddb_entry_e | hddb_entry_t

## Enumerations

enum

hddb_entry_e {
he_other , he_bus_id , he_baseclass_id , he_subclass_id ,
he_progif_id , he_vendor_id , he_device_id , he_subvendor_id ,
he_subdevice_id , he_rev_id , he_bus_name , he_baseclass_name ,
he_subclass_name , he_progif_name , he_vendor_name , he_device_name ,
he_subvendor_name , he_subdevice_name , he_rev_name , he_serial ,
he_driver , he_requires , he_detail_ccw_data_cu_model , he_hwclass ,
he_nomask , he_class_id = he_nomask , he_driver_module_insmod , he_driver_module_modprobe ,
he_driver_module_config , he_driver_xfree , he_driver_xfree_config , he_driver_mouse ,
he_driver_display , he_driver_any
}

## Variables

static hddb_entry_t | hddb_is_numeric []
static char * | hddb_entry_strings []

## Macro Definition Documentation

## DATA_FLAG

#define DATA_FLAG | ( |  | a | ) |

Value:
(((a) >> 28) & 0xf)

Referenced by compare_ids(), complete_ids(), hddb_dump_raw(), and hddb_dump_skey().

## DATA_VALUE

#define DATA_VALUE | ( |  | a | ) |

Value:
((a) & ~(-1 << 28))

Referenced by compare_ids(), complete_ids(), hddb_dump_raw(), and hddb_dump_skey().

## FLAG_CONT

#define FLAG_CONT 8 /* bit mask, _must_ be bit 31 */

Referenced by compare_ids(), complete_ids(), and hddb_dump_skey().

## FLAG_ID

#define FLAG_ID 0

Referenced by add_entry(), compare_ids(), complete_ids(), hddb_dump_raw(), and hddb_dump_skey().

## FLAG_MASK

#define FLAG_MASK 2

Referenced by add_entry(), compare_ids(), hddb_dump_raw(), and hddb_dump_skey().

## FLAG_RANGE

#define FLAG_RANGE 1

Referenced by add_entry(), compare_ids(), hddb_dump_raw(), and hddb_dump_skey().

## FLAG_REGEXP

#define FLAG_REGEXP 4

## FLAG_STRING

#define FLAG_STRING 3

Referenced by add_entry(), compare_ids(), complete_ids(), hddb_dump_raw(), and hddb_dump_skey().

## MAKE_DATA

#define MAKE_DATA | ( |  | a,
|  |  | b )

Value:
((a << 28) | (b))

Referenced by add_entry().

## Typedef Documentation

## hddb_entry_t

typedef enum hddb_entry_e hddb_entry_t

## Enumeration Type Documentation

## hddb_entry_e

enum hddb_entry_e

Enumerator
he_other |
he_bus_id |
he_baseclass_id |
he_subclass_id |
he_progif_id |
he_vendor_id |
he_device_id |
he_subvendor_id |
he_subdevice_id |
he_rev_id |
he_bus_name |
he_baseclass_name |
he_subclass_name |
he_progif_name |
he_vendor_name |
he_device_name |
he_subvendor_name |
he_subdevice_name |
he_rev_name |
he_serial |
he_driver |
he_requires |
he_detail_ccw_data_cu_model |
he_hwclass |
he_nomask |
he_class_id |
he_driver_module_insmod |
he_driver_module_modprobe |
he_driver_module_config |
he_driver_xfree |
he_driver_xfree_config |
he_driver_mouse |
he_driver_display |
he_driver_any |

## Variable Documentation

## hddb_entry_strings

char* hddb_entry_strings[]

static

Initial value:
= {
"other", "bus.id", "baseclass.id", "subclass.id", "progif.id",
"vendor.id", "device.id", "subvendor.id", "subdevice.id", "rev.id",
"bus.name", "baseclass.name", "subclass.name", "progif.name",
"vendor.name", "device.name", "subvendor.name", "subdevice.name",
"rev.name", "serial", "driver", "requires",
"detail.ccw.data.cu_model", "hwclass",
"class.id", "driver.module.insmod", "driver.module.modprobe",
"driver.module.config", "driver.xfree", "driver.xfree.config",
"driver.mouse", "driver.display", "driver.any"
}

Referenced by hddb_dump_ent_name(), and parse_line().

## hddb_is_numeric

hddb_entry_t hddb_is_numeric[]

static

Initial value:
= {
he_bus_id, he_baseclass_id, he_subclass_id, he_progif_id, he_vendor_id,
he_device_id, he_subvendor_id, he_subdevice_id, he_rev_id,
he_detail_ccw_data_cu_model, he_hwclass
}
he_detail_ccw_data_cu_model
@ he_detail_ccw_data_cu_model
Definition hddb_int.h:26
he_rev_id
@ he_rev_id
Definition hddb_int.h:22
he_hwclass
@ he_hwclass
Definition hddb_int.h:26
he_progif_id
@ he_progif_id
Definition hddb_int.h:21
he_device_id
@ he_device_id
Definition hddb_int.h:22
he_subclass_id
@ he_subclass_id
Definition hddb_int.h:21
he_subdevice_id
@ he_subdevice_id
Definition hddb_int.h:22
he_bus_id
@ he_bus_id
Definition hddb_int.h:21
he_baseclass_id
@ he_baseclass_id
Definition hddb_int.h:21
he_vendor_id
@ he_vendor_id
Definition hddb_int.h:22
he_subvendor_id
@ he_subvendor_id
Definition hddb_int.h:22

Referenced by add_entry().